CircuitHub currently only supports up to KiCAD V5.

Unfortunately, the changes to the file format of the schematic files and symbol library files in KiCAD V6 are incompatible with our current system. Our development team is working on an upgrade and we expect to have support for KiCAD V6 soon.

We apologize for any inconvenience this may cause. If you were hoping to use CircuitHub, but are unable to due to this limitation we'd love to hear from you.

Did this answer your question?